Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Tokenizer Class Reference

`#include <FlowSpec_Entry.h>`

Collaboration diagram for TAO_Tokenizer:

[legend]
List of all members.

## Public Methods
| TAO_Tokenizer (const char *string, char delimiter)
| constructor.
| ~TAO_Tokenizer ()
| destructor.
int | parse (const char *string, char delimiter)
| parses the string and tokenizes it.
char * | token (void)
| Returns the next token.
int | num_tokens (void)
| Number of tokens.
const char * | operator[] (size_t index) const
## Protected Attributes
ACE_Array< char * > | token_array_
size_t | count_
size_t | num_tokens_
char | string_ [BUFSIZ]

## Constructor & Destructor Documentation

TAO_Tokenizer::TAO_Tokenizer | ( | const char * | string,
|  | char | delimiter
| ) |

| constructor.

TAO_Tokenizer::~TAO_Tokenizer | ( |  | ) |

| destructor.

## Member Function Documentation

int TAO_Tokenizer::num_tokens | ( | void |  | ) |

| Number of tokens.

const char * TAO_Tokenizer::operator[] | ( | size_t | index | ) | const

int TAO_Tokenizer::parse | ( | const char * | string,
|  | char | delimiter
| ) |

| parses the string and tokenizes it.

char * TAO_Tokenizer::token | ( | void |  | ) |

| Returns the next token.

## Member Data Documentation

size_t TAO_Tokenizer::count_`[protected]`

size_t TAO_Tokenizer::num_tokens_`[protected]`

char TAO_Tokenizer::string_[BUFSIZ]`[protected]`

ACE_Array<char*> TAO_Tokenizer::token_array_`[protected]`

The documentation for this class was generated from the following files:

- FlowSpec_Entry.h
- AVStreams_i.cpp